# Developer Guides

- [Carbon DeFi SDK](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk.md)
- [Getting started](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/getting-started.md)
- [Interacting with the SDK](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/interacting-with-the-sdk.md)
- [Managing Strategies](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/interacting-with-the-sdk/managing-strategies.md)
- [Performing Trades](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/interacting-with-the-sdk/performing-trades.md)
- [Getting User and Pair Data](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/interacting-with-the-sdk/getting-user-and-pair-data.md)
- [Collecting Liquidity Data](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/interacting-with-the-sdk/collecting-liquidity-data.md)
- [SDK Functions](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions.md)
- [constructor](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/constructor.md)
- [startDataSync](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/startdatasync.md)
- [getCachedPairs](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/getcachedpairs.md)
- [hasLiquidityByPair](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/hasliquiditybypair.md)
- [getLiquidityByPair](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/getliquiditybypair.md)
- [getUserStrategies](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/getuserstrategies.md)
- [getTradeData](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/gettradedata.md)
- [composeTradeByTargetTransaction](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/composetradebytargettransaction.md)
- [composeTradeBySourceTransaction](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/composetradebysourcetransaction.md)
- [createBuySellStrategy](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/createbuysellstrategy.md)
- [updateStrategy](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/updatestrategy.md)
- [deleteStrategy](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/deletestrategy.md)
- [getMinRateByPair](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/getminratebypair.md)
- [getMaxRateByPair](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/getmaxratebypair.md)
- [getRateLiquidityDepthByPair](https://docs.carbondefi.xyz/developer-guides/carbon-defi-sdk/sdk-functions/getrateliquiditydepthbypair.md)
- [The Carbon DeFi versus Uniswap V3 Invariant Functions](https://docs.carbondefi.xyz/developer-guides/the-carbon-defi-versus-uniswap-v3-invariant-functions.md)
- [Carbon DeFi Subgraph](https://docs.carbondefi.xyz/developer-guides/carbon-defi-subgraph.md)
- [Accessing the Subgraph](https://docs.carbondefi.xyz/developer-guides/carbon-defi-subgraph/accessing-the-subgraph.md)
- [Creating Subgraph Queries](https://docs.carbondefi.xyz/developer-guides/carbon-defi-subgraph/creating-subgraph-queries.md)
- [Subgraph Query in Python](https://docs.carbondefi.xyz/developer-guides/carbon-defi-subgraph/subgraph-query-in-python.md)
- [Sample Subgraph Queries](https://docs.carbondefi.xyz/developer-guides/carbon-defi-subgraph/sample-subgraph-queries.md)
- [Using CarbonVortex](https://docs.carbondefi.xyz/developer-guides/using-carbonvortex.md)
- [CarbonVortex Dynamics](https://docs.carbondefi.xyz/developer-guides/using-carbonvortex/carbonvortex-dynamics.md)
- [Carbon DeFi Transaction Encoding](https://docs.carbondefi.xyz/developer-guides/carbon-defi-transaction-encoding.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.carbondefi.xyz/developer-guides.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
